use std::fmt;

use engine::prelude::*;

#[derive(Debug, Clone, Copy, PartialEq, Eq, Serialize, Deserialize)]
pub enum EntityTags {
    /// usable inside the ability editor
    Ability,

    /// usable for world placement in the map editor
    WorldObject,

    /// used for hostile NPC's
    Creature,
}

impl fmt::Display for EntityTags {
    fn fmt(&self, f: &mut fmt::Formatter<'_>) -> fmt::Result {
        match *self {
            EntityTags::Ability => write!(f, "Ability"),
            EntityTags::WorldObject => write!(f, "WorldObject"),
            EntityTags::Creature => write!(f, "Creature"),
        }
    }
}
